<?php
/*
 * Created on 13.02.2006
 * @autor Michael Peu
 * @web www.peuss.com/PHP/captcha
 * @license GPL
 */

class Captcha {
  var $memory;
  var $fonts = array('font1.ttf',
                     'font2.ttf',
                     'font3.ttf',
                     'font4.ttf',
                     'font5.ttf',
                     'font6.ttf',
                     'font7.ttf',
                     'font8.ttf',
                       'font9.ttf');

  function Captcha() {
    include 'memory.php';
    $this->memory = new Memory();
  }


  function isValid($number) {
    return $this->memory->numberExists($number);
  }


  function displayImage() {

    $image = imagecreate(80,25);

    ImageColorAllocate($image, 255, 255, 255);

    $numbers = '';

    for ($i=5; $i<=65; $i+=15) {
      $number = rand(2,9);
      $numbers .= $number;
      $zufallszahlenfarbe = imagecolorallocate($image,rand(0,200),rand(0,200),rand(0,200));
      imagettftext($image,
                   12,                                  
                   rand(-30,30),                      
                   $i,                                 
                   16+rand(0,5),                       
                   $zufallszahlenfarbe,                    
                   'fonts/'.$this->fonts[rand(0,8)],   
                   $number                             
                   );
    }

    header("Content-type: image/jpeg");
    imagejpeg($image);
    $this->memory->saveNumber($numbers);
  }
}
?>